# infodocs [![build status](https://git.rommelwood.de/documents/infodocs/badges/master/build.svg)](https://git.rommelwood.de/documents/infodocs/commits/master)

Several information documents from the dormitory at the Erwin-Rommel-Street.  
E.g. the association membership application, the association statue and various instructions for users.  

All documents are written in [LaTeX](https://en.wikipedia.org/wiki/LaTeX).

## Cloning/pulling the repo

There are (several) nested submodules in this repo.  
They have to be initialised with the following command:

```shell
git submodule update --init --recursive
```

In order to update submodules after `git pull` run:

```shell
git submodule update --recursive
```

## Building

For building of these documents `texlive-full` and `make` is needed.  

```shell
make              # build subprojects and infoheft
make subprojects  # generate PDFs from projects in subfolders
make infoheft     # generate infoheft
make clean        # clean everything except of PDFs
```

## CI (Continous Integration)

All pushed commits are automatically built by GitLab CI in order to get a quick response whether everything is ok.  
Have a look at [.gitlab-ci.yml](.gitlab-ci.yml) for in depth details.

### Release

The latest released version of these documents is available [here](https://git.rommelwood.de/documents/infodocs/builds/artifacts/release/browse/pdf?job=release).  
If you want to publish (release) a specific commit you have to do a merge of it into the develop branch.

## License

Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
