#!/usr/bin/env sh
HASH=$(git rev-parse -q --short HEAD 2>/dev/null)
BRANCH=$(git symbolic-ref -q --short HEAD 2>/dev/null)
TAG=$(git describe --tags --exact-match 2>/dev/null)

if [ "${TAG}" ]; then
    # replace _ with \_ for latex
    echo "${TAG}" | sed 's/_/\\_/g'
    exit
elif [ "${BRANCH}${HASH}" ]; then
    echo "${BRANCH} (${HASH})" | sed 's/_/\\_/g'
    exit
else
    echo "unknown revision"
    exit
fi
